summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh2
-rw-r--r--configure.ac2
2 files changed, 2 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 81218a40..69d574ad 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -138,7 +138,7 @@ if test -z "$*"; then
fi
echo "+ running aclocal ..."
-aclocal -I m4 $ACLOCAL_FLAGS || {
+cat m4/*.m4 >acinclude.m4;aclocal $ACLOCAL_FLAGS || {
echo
echo "aclocal failed - check that all needed development files are present on system"
exit 1
diff --git a/configure.ac b/configure.ac
index d5e947ff..7ed488bb 100644
--- a/configure.ac
+++ b/configure.ac
@@ -38,7 +38,7 @@ GST_LIBVERSION=$GST_CURRENT:$GST_REVISION:$GST_AGE
AM_INIT_AUTOMAKE($PACKAGE, $VERSION)
dnl Add parameters for aclocal
dnl (This must come after AM_INIT_AUTOMAKE, since it modifies ACLOCAL)
-ACLOCAL="$ACLOCAL $ACLOCAL_FLAGS"
+ACLOCAL="cat m4/*.m4 >acinclude.m4;$ACLOCAL $ACLOCAL_FLAGS"
AC_SUBST(GST_VERSION_MAJOR)
AC_SUBST(GST_VERSION_MINOR)